Get File Download Link.
curl --request GET \
--url https://app.synthpop.ai/public/v1/task/{task_uuid}/data_item/{data_item_uuid}/get_link \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.synthpop.ai/public/v1/task/{task_uuid}/data_item/{data_item_uuid}/get_link"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.synthpop.ai/public/v1/task/{task_uuid}/data_item/{data_item_uuid}/get_link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"file_name": "<string>",
"url": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tasks
Get File Download Link.
Retrieve an expiring pre-signed URL to download a file data item.
The link must be used within 60 seconds and hence should not be used to store a persistent reference to a data item.
GET
/
task
/
{task_uuid}
/
data_item
/
{data_item_uuid}
/
get_link
Get File Download Link.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique ID of the Task for which to retrieve a link to a file data item.
Unique ID of the task data item for which to retrieve a download link.

